/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { PidType } from './pid-type';

/**
 * Represents a data transfer object (DTO) for a PID (Persistent Identifier).
 * @export
 * @interface PidDto
 */
export interface PidDto {
    /**
     * Gets or sets the prefix of the PID.
     * @type {string}
     * @memberof PidDto
     */
    'prefix': string;
    /**
     * Gets or sets the suffix of the PID.
     * @type {string}
     * @memberof PidDto
     */
    'suffix': string;
    /**
     * Gets the constructed PID by combining the prefix and suffix (\"{Prefix}/{Suffix}\").
     * @type {string}
     * @memberof PidDto
     */
    'identifier'?: string;
    /**
     * 
     * @type {PidType}
     * @memberof PidDto
     */
    'type'?: PidType;
    /**
     * Gets or sets a value indicating whether the linked entity is considered valid.
     * @type {boolean}
     * @memberof PidDto
     */
    'isEntityValid'?: boolean;
}



